org.codehaus.groovy.runtime.metaclass

## Class MethodMetaProperty.GetMethodMetaProperty

- java.lang.Object
- - groovy.lang.MetaProperty
  - - org.codehaus.groovy.runtime.metaclass.MethodMetaProperty
    - - org.codehaus.groovy.runtime.metaclass.MethodMetaProperty.GetMethodMetaProperty

- Enclosing class:
    MethodMetaProperty

      public static class MethodMetaProperty.GetMethodMetaProperty
      extends MethodMetaProperty

  Wrapper for a method realizing the property get. WARNING: This class is for internal use only, don't use it for your APIs

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

      `MethodMetaProperty.GetBeanMethodMetaProperty, MethodMetaProperty.GetMethodMetaProperty`

  - ### Field Summary

    - ### Fields inherited from class groovy.lang.MetaProperty

      `name, PROPERTY_SET_PREFIX, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetMethodMetaProperty(java.lang.String name, MetaMethod theMethod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getProperty(java.lang.Object object)`

    - ### Methods inherited from class org.codehaus.groovy.runtime.metaclass.MethodMetaProperty

      `getMetaMethod, setProperty`

    - ### Methods inherited from class groovy.lang.MetaProperty

      `getGetterName, getModifiers, getName, getSetterName, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetMethodMetaProperty

          public GetMethodMetaProperty(java.lang.String name,
                                       MetaMethod theMethod)

  - ### Method Detail

    - #### getProperty

          public java.lang.Object getProperty(java.lang.Object object)

      Overrides:
        `getProperty` in class `MethodMetaProperty`
      Returns:
        the property of the given object